bpplot {Hmisc} | R Documentation

## Box-percentile plots

### Description

Producess side-by-side box-percentile plots from several vectors or a list of vectors.

### Usage

    bpplot(..., name=TRUE, main="Box-Percentile Plot",
           xlab="", ylab="", srtx=0)

### Arguments

`...` | vectors or lists containing numeric components (e.g., the output of `split`).
`name` | character vector of names for the groups. Default is `TRUE` to put names on the x-axis. Such names are taken from the data vectors or the `names` attribute of the first argument if it is a list. Set `name` to `FALSE` to suppress names. If a character vector is supplied the names in the vector are used to label the groups.
`main` | main title for the plot.
`xlab` | x axis label.
`ylab` | y axis label.
`srtx` | rotation angle for x-axis labels. Default is zero.

### Value

There are no returned values

### Side Effects

A plot is created on the current graphics device.

### BACKGROUND

Box-percentile plots are similiar to boxplots, except box-percentile plots supply more information about the univariate distributions. At any height the width of the irregular "box" is proportional to the percentile of that height, up to the 50th percentile, and above the 50th percentile the width is proportional to 100 minus the percentile. Thus, the width at any given height is proportional to the percent of observations that are more extreme in that direction. As in boxplots, the median, 25th and 75th percentiles are marked with line segments across the box.

### Author(s)

Jeffrey Banfield
umsfjban@bill.oscs.montana.edu
Modified by F. Harrell 30Jun97

### References

Esty WW, Banfield J: The box-percentile plot. J Statistical Software 8 No. 17, 2003.

### See Also

`panel.bpplot`, `boxplot`, `Ecdf`, `bwplot`

### Examples

    set.seed(1)
    x1 <- rnorm(500)
    x2 <- runif(500, -2, 2)
    x3 <- abs(rnorm(500))-2
    bpplot(x1, x2, x3)
    g <- sample(1:2, 500, replace=TRUE)
    bpplot(split(x2, g), name=c('Group 1','Group 2'))
    rm(x1,x2,x3,g)

[Package Hmisc version 3.17-4 Index]